//               centralization improves synthesis and layout development 
// REVISION    : $Revision: 1.2 $
//                   MENTOR Proprietary and Confidential
//                       Copyright (c) 2002, MENTOR
`timescale 1ps/1ps
module
CoreTSE_M2S090_CORETSE_AHB_0_AMCXFIF_CLKRST
(
CORETSEI10i
,
CORETSEOii0
,
CORETSEIli0
,
CORETSEoli0
,
CORETSEl10i
,
CORETSEli0i
,
CORETSEIooi
,
CORETSElooi
,
CORETSEoooi
,
CORETSEiooi
,
CORETSEOioi
,
CORETSEIlii
,
CORETSEllii
,
CORETSEolii
,
CORETSEilii
,
CORETSEO0ii
)
;
input
CORETSEI10i
;
input
CORETSEOii0
;
input
CORETSEIli0
;
input
CORETSEoli0
;
input
CORETSEl10i
;
input
CORETSEli0i
;
input
CORETSEIooi
;
input
CORETSElooi
;
input
CORETSEoooi
;
input
CORETSEiooi
;
input
CORETSEOioi
;
output
CORETSEIlii
;
output
CORETSEllii
;
output
CORETSEolii
;
output
CORETSEilii
;
output
CORETSEO0ii
;
parameter
CORETSEOII
=
1
;
reg
CORETSEi1ii
;
reg
CORETSEOoii
;
reg
CORETSEIoii
;
reg
CORETSEloii
;
reg
CORETSEooii
;
reg
CORETSEioii
;
reg
CORETSEOiii
;
reg
CORETSEIiii
;
reg
CORETSEliii
;
reg
CORETSEoiii
;
always
@
(
posedge
CORETSEl10i
)
begin
CORETSEi1ii
<=
#
CORETSEOII
CORETSEI10i
|
CORETSEIooi
;
end
always
@
(
posedge
CORETSEl10i
)
begin
CORETSEOoii
<=
#
CORETSEOII
CORETSEi1ii
;
end
assign
CORETSEIlii
=
CORETSEOii0
?
CORETSEI10i
:
(
(
CORETSEI10i
|
CORETSEIooi
)
|
CORETSEOoii
)
;
always
@
(
posedge
CORETSEli0i
)
begin
CORETSEooii
<=
#
CORETSEOII
CORETSEI10i
|
CORETSEoooi
;
end
always
@
(
posedge
CORETSEli0i
)
begin
CORETSEioii
<=
#
CORETSEOII
CORETSEooii
;
end
assign
CORETSEolii
=
CORETSEOii0
?
CORETSEI10i
:
(
CORETSEoooi
|
CORETSEioii
)
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEIoii
<=
#
CORETSEOII
CORETSEI10i
|
CORETSElooi
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEloii
<=
#
CORETSEOII
CORETSEIoii
;
end
assign
CORETSEllii
=
CORETSEOii0
?
CORETSEI10i
:
(
CORETSElooi
|
CORETSEloii
)
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEOiii
<=
#
CORETSEOII
CORETSEI10i
|
CORETSEiooi
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEIiii
<=
#
CORETSEOII
CORETSEOiii
;
end
assign
CORETSEilii
=
CORETSEOii0
?
CORETSEI10i
:
(
CORETSEiooi
|
CORETSEIiii
)
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEliii
<=
#
CORETSEOII
CORETSEI10i
|
CORETSEOioi
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEoiii
<=
#
CORETSEOII
CORETSEliii
;
end
assign
CORETSEO0ii
=
CORETSEOii0
?
CORETSEI10i
:
(
CORETSEOioi
|
CORETSEoiii
)
;
endmodule
